import { LRLanguage, LanguageSupport } from "@codemirror/language";
import { Extension, Text } from "@codemirror/state";
type snippetsArguments = {
    snippets: boolean;
    variables: boolean;
    registers: boolean;
    logic: boolean;
};
type snippetsOptions = Partial<snippetsArguments>;
type setChar = (line: number, char: string | null) => Record<number, string | null>;
type gutterArguments = {
    chars: Record<number, string | null>;
};
type gutterOptions = Partial<gutterArguments>;
type hoverArguments = {
    startLine: number;
    callback?: (word: string, text: string | null, line: number, value?: string) => string | null;
};
type hoverOptions = Partial<hoverArguments>;
declare const icLanguage: LRLanguage;
declare function ic10(): LanguageSupport;
declare const ic10Snippets: (snippetsArguments?: snippetsOptions) => import("@codemirror/state").Extension;
declare const ic10HoverTooltip: (options?: hoverOptions) => Extension;
declare const createLineGutter: (options?: gutterOptions) => [
    Extension,
    setChar
];
declare const zeroLineNumbers: import("@codemirror/state").Extension;
declare function getLines(doc: Text): string[];
export { icLanguage, ic10, ic10Snippets, ic10HoverTooltip, createLineGutter, zeroLineNumbers, getLines };
export type { snippetsOptions, gutterOptions, hoverOptions };
